[Up: MICO documentation]
[Previous: Compiler and Linker Wrappers] [Next: Using strings]

# C++ mapping

This chapter features some highlights of the IDL to C++ mapping. Sometimes we just quote facts from the CORBA standard, sometimes we describe some details which are specific to MICO.

Subsections

- Using strings
- Untyped values
  - Unknown Constructed Types
  - Subtyping
- Arrays
- Unions
- Interface inheritance
- Modules
- Exceptions
  - CORBA Compliant Exception Handling
  - MICO Specific Exception Handling
  - No Exception handling